pink = Color.new(255, 0 , 153)
blue = Color.new(0 , 153, 255)
orange = Color.new(255, 102, 0)
gray = Color.new(153, 153, 153)
black = Color.new(0 , 0 , 0) 
green = Color.new(0 , 128 , 0)
bgreen = Color.new(0, 200, 0)
popcornmini = Sound.load("popcorn.wav")
screen:clear()
screen:print(194, 136, "Loading: 0%", green)
screen.flip()

lua_background = Image.load("LUA_background.png")
cbg = Image.load("cbgreenskullpsp.png")
mainmenu = Image.load("mainmenu.png")
menu = Image.load("menu.png")
stillleft = Image.load("still.png")
trigleft = Image.load("worm1.png")
trigdown = Image.load("worm2.png")
trigright = Image.load("worm3.png")
fastmini = Sound.load("fast.wav")
trigup = Image.load("elbows.png")
trigsquare = Image.load("lstep.png")
trigx = Image.load("down.png")
trigcircle = Image.load("rstep.png")
trigtriangle = Image.load("jumpgrab.png")

screen:clear()
screen:print(194, 136, "Loading: 20%", green)
screen.flip() 

beach_background = Image.load("beach_background.png")
still = Image.load("still.png")
left = Image.load("wave1.png")
right = Image.load("wave2.png")
selector = Image.load("selector.png")

movemini = Sound.load("move.wav")

eminemmini = Sound.load("eminem.wav")

screen:clear()
screen:print(194, 136, "Loading: 40%", green)
screen.flip()

disco_background = Image.load("disco_ background.png")
l = Image.load("lt.png")
down = Image.load("down.png")
popcorn = Sound.load("popcorn.wav", true)

screen:clear()
screen:print(194, 136, "Loading: 60%", green)
screen.flip()

r = Image.load("rt.png")
circle = Image.load("rkick.png")
boltsnd = Sound.load("comp.wav")
clubmini = Image.load("clubmini.png")
beachmini = Image.load("beachmini.png")
luamini = Image.load("luamini.png")
eminem = Sound.load("eminem.wav",true)

screen:clear()
screen:print(194, 136, "Loading: 80%", green)
screen.flip()

menumsk = Sound.load("menumsk.wav", true)
optionsmenu = Image.load("menu.png")
square = Image.load("lkick.png")
triangle = Image.load("upkick.png")
guitar = Sound.load("g3.wav")

screen:clear()
screen:print(194, 136, "Loading: 90%", green)
screen.flip()

up = Image.load("up.png")
x = Image.load("downkick.png")
lua = Image.load("lua.png")



screen:clear()
screen:print(194, 136, "Loading: 100%", green)
screen.flip()

screen.waitVblankStart(40)
screen:blit(0, 0, lua, false)
screen.waitVblankStart()
screen.flip()

boltsnd:play()

screen.waitVblankStart(24, 0)
Music.volume(128)
screen.waitVblankStart(200)
screen:blit(0, 0, cbg, false)
screen.waitVblankStart()
screen.flip()
guitar:play()
screen.waitVblankStart(24, 0)
Music.volume(180)
screen.waitVblankStart(280)
screen:clear()

background = lua_background
bgmusic = popcorn
menustatus = 0


dofile ("mainmenu.lua")